注册 登录  
 加关注
查看详情
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

风之云的足迹

点击这里添加博客描述

 
 
 

日志

 
 

NetBeans中安装ruby-debug-ide  

2011-05-06 00:03:06|  分类: Rails |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

问题
在家下载了netbeans6.8和ruby1.9.2,debug模式运行应用时要求安装ruby-debug-ide,不过安装的时候出现了下面的错误:
Please update your PATH to include build tools or download the DevKit
from 'http://rubyinstaller.org/downloads' and follow the instructions
at 'http://github.com/oneclick/rubyinstaller/wiki/Development-Kit'


解决方案:

关于neabeans中debug模式启动安装debug-ide插件错误的解决方法

解决方案:
1、首先下载build工具devkit 下载地址http://github.com/downloads/oneclick/rubyinstaller/DevKit-tdm-32-4.5.1-20101214-1400-sfx.exe
2、下载完成后解压exe文件
3、 解压完成后把目录中的bin加入到电脑的环境变量path中,需要增加两个bin路径,我这边是解压在D盘
D:\Ruby\Devkit\bin;
D:\Ruby\Devkit\mingw\bin;
4、重启ide,再次debug模式启动,按照提示安装debug-ide,安装成功
如果手工安装的话可以在cmd中输入 gem install ruby-debug gem install ruby-debug-ide


3. 安装完成后再次通过netbeans启动debug模式,可以正确安装ruby-debug-ide,如果需要手工安装可以通过此地址下载ruby-debug-ide
需要手工下载相应的gem文件地址:http://rubyforge.mirrors.roedu.net/gems/





  评论这张
 
阅读(1006)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2018